=== debian/changelog ===
libpod (4.3.1+ds1-8+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * d/patches: backport fix for removed container handling (Closes: #1059496)

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 26 Feb 2024 09:30:29 -0500

libpod (4.3.1+ds1-8) unstable; urgency=medium

  * [upstream] unbreak using docker as client
  * debian/control: tighten dependencies against buildah (Closes: #1034871)
  * [upstream] system reset: show graphRoot/runRoot before removal

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Apr 2023 08:19:54 -0400

libpod (4.3.1+ds1-7) unstable; urgency=medium

  * [upstream] volume,container: chroot to source before exporting content
    (Closes: #1032099), Fixes: CVE-2023-0778

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Apr 2023 18:39:24 -0400

libpod (4.3.1+ds1-6) unstable; urgency=medium

  * Team upload

  [ Reinhard Tartler ]
  * Re-enable builtin tests, but mark as flaky

  [ Shengjing Zhu ]
  * Replace golang-github-uber-go-atomic-dev with golang-go.uber-atomic-dev
  * Drop unused golang-github-{influxdata,hpcloud}-tail-dev in Build-Depends
  * Replace golang-ginkgo-dev with golang-github-onsi-ginkgo-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 26 Feb 2023 21:41:30 +0800

libpod (4.3.1+ds1-5) unstable; urgency=medium

  * Drop golang-github-containers-libpod-dev
  * Add a simple smoketest

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 27 Nov 2022 12:25:39 -0500

libpod (4.3.1+ds1-4) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Nov 2022 15:35:49 -0500

libpod (4.3.1+ds1-3) experimental; urgency=medium

  * debian/rules: make the previous change to build machine/qemu only
    on supported architecture actually work

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Nov 2022 17:49:12 -0500

libpod (4.3.1+ds1-2) experimental; urgency=medium

  * Build machine/qemu only on amd64, arm64, fixes FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Nov 2022 07:33:14 -0500

libpod (4.3.1+ds1-1) experimental; urgency=medium

  * New upstream release
    - Add container GID to additional groups,
      fixes CVE-2022-2989, closes: #1019591
  * Bugfix: Subordinate UID/GID ranges not fetched from libsubid,
    Thanks to Sam Morris <sam@robots.org.uk> for the patch, closes: #1019929

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Nov 2022 12:27:53 -0500

libpod (4.2.0+ds1-3) experimental; urgency=medium

  * Force using golang-go to avoid compilation failures with gcc-go
  * Confirmed updated components allow podman to work, thanks to
    Bastian Blank (Closes: #1012053), and is compiled against a
    containers/common that is more mindful regarding foreign-arch
    images (Closes: #1009376)
  * Confirmed fix: "starting rootless container fails with: can't get final
    child's PID from pipe: EOF", code change likely already in 4.1
    thanks to Gabriel Filion (Closes: #1007022).
  * Make podman recommend 'dbus-user-session', Closes: #1009747

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Aug 2022 09:43:54 +0200

libpod (4.2.0+ds1-2) experimental; urgency=medium

  * tighten dependency on golang-github-opencontainers-runc-dev

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 18:51:09 +0200

libpod (4.2.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * drop patches merged upstream
  * add distro patch to use system 'goimports' utility
  * tighten dependencies
  * hooks/docs no longer provides section 5 manpages

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 15:37:36 +0200

libpod (4.1.1+ds1-3) experimental; urgency=medium

  * reorganize dependencies for networking stack

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Aug 2022 20:47:56 +0200

libpod (4.1.1+ds1-2) experimental; urgency=medium

  * organize GOLANG_EXCLUDES and GOLANG_TEST_EXCLUDES
  * add patches fix-test-TestEnvVarValue-NN.patch, fixes
    Test failures for !amd64, !arm64 Closes: #1014309

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 04 Jul 2022 12:07:31 -0400

libpod (4.1.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Jul 2022 17:33:34 -0400

libpod (4.1.0+ds2-2) experimental; urgency=medium

  * Avoid building podman/pkg/machine/e2e on all architectures

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 May 2022 16:31:29 -0400

libpod (4.1.0+ds2-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 May 2022 06:42:45 -0400

libpod (4.0.3+ds1-1) experimental; urgency=medium

  [ Antonio Terceiro ]
  * Stop installing systemd socket units under /usr/lib, Closes: #1009374

  [ Reinhard Tartler ]
  * New upstream release
  * Skip installation of podman-remote(1), Closes: #1000521

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Apr 2022 06:41:11 -0400

libpod (4.0.1+ds1-3) experimental; urgency=medium

  * Fix installation of systemd units

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Mar 2022 17:16:32 -0500

libpod (4.0.1+ds1-2) experimental; urgency=medium

  * Install rootlessport, Closes: #1006426

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 25 Feb 2022 12:47:27 -0500

libpod (4.0.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Feb 2022 21:43:55 -0500

libpod (4.0.0~rc5+ds1-1) experimental; urgency=medium

  * New upstream release, closes: #1003486
  * Bug fix: "podman-restart missing from podman package", thanks to Jelle
    van der Waa (Closes: #1001780).

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 Feb 2022 20:44:22 -0500

libpod (3.4.7+ds1-3) unstable; urgency=medium

  * backport upstream patch to avoid runtime crash,
    Closes: #1010000 for real this time.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Apr 2022 08:07:13 -0400

libpod (3.4.7+ds1-2) unstable; urgency=medium


