=== debian/control ===
Source: libpod
Section: admin
Priority: optional
Standards-Version: 4.6.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper-compat (= 13)
    ,bash-completion
    ,conmon
    ,dh-golang
    ,go-md2man
    ,golang-go
    ,golang-dbus-dev (>= 5.0.2~)
    ,golang-github-onsi-ginkgo-dev
    ,golang-github-appc-cni-dev (>= 0.8)
    ,golang-github-buger-goterm-dev
    ,golang-github-checkpoint-restore-go-criu-dev (>> 5.3)
    ,golang-github-containerd-cgroups-dev
    ,golang-github-containers-buildah-dev (>= 1.28.2+ds1-3)
    ,golang-github-containers-common-dev (>= 0.50)
    ,golang-github-containers-image-dev (>= 5.22)
    ,golang-github-containers-ocicrypt-dev
    ,golang-github-containers-psgo-dev
    ,golang-github-containers-storage-dev (>= 1.42)
    ,golang-github-coreos-bbolt-dev (>= 1.3.3~)
    ,golang-github-coreos-go-iptables-dev (>= 0.4.2~)
    ,golang-github-coreos-go-systemd-dev (>= 20~)
    ,golang-github-cyphar-filepath-securejoin-dev (>= 0.2.2~)
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-dev (>= 20.10.0~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-spdystream-dev
    ,golang-github-dtylman-scp-dev
    ,golang-github-fullsailor-pkcs7-dev
    ,golang-github-ghodss-yaml-dev
    ,golang-github-go-logr-logr-dev
    ,golang-github-google-shlex-dev
    ,golang-github-google-uuid-dev
    ,golang-github-gorilla-schema-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-moby-term-dev
    ,golang-github-mrunalp-fileutils-dev
    ,golang-github-nxadm-tail-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-runc-dev (>= 1.1.3+ds1-6)
    ,golang-github-opencontainers-runtime-tools-dev (>= 0.9.0+dfsg-3~)
    ,golang-github-opencontainers-selinux-dev (>= 1.2.2~)
    ,golang-github-openshift-imagebuilder-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-pkg-profile-dev
    ,golang-github-rootless-containers-rootlesskit-dev
    ,golang-github-seccomp-libseccomp-golang-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-go.uber-atomic-dev
    ,golang-github-ulikunitz-xz-dev
    ,golang-github-vbatts-tar-split-dev
    ,golang-github-vbauerster-mpb-dev (>= 6)
    ,golang-github-vishvananda-netlink-dev (>= 1.0.0+git20181030~)
    ,golang-github-vividcortex-ewma-dev
    ,golang-go-zfs-dev
    ,golang-go.opencensus-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-net-dev (>= 1:0.0+git20210119)
    ,golang-golang-x-sys-dev
    ,golang-golang-x-text-dev
    ,golang-golang-x-tools
    ,golang-golang-x-xerrors-dev
    ,golang-gomega-dev
    ,golang-google-genproto-dev
    ,golang-google-grpc-dev
    ,golang-gopkg-inf.v0-dev
    ,golang-gopkg-square-go-jose.v2-dev
    ,golang-gopkg-yaml.v3-dev
    ,golang-k8s-klog-dev
    ,golang-k8s-sigs-structured-merge-diff-dev (>> 4)
    ,golang-k8s-sigs-yaml-dev
    ,golang-toml-dev
    ,libapparmor-dev
    ,libbtrfs-dev
    ,libdevmapper-dev
    ,libglib2.0-dev
    ,libostree-dev
    ,libsubid-dev
# sphinx docs:
#   ,python3-recommonmark
Homepage: https://github.com/containers/podman
Vcs-Browser: https://salsa.debian.org/debian/libpod
Vcs-Git: https://salsa.debian.org/debian/libpod.git
XS-Go-Import-Path: github.com/containers/podman

Package: podman
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
    ,conmon (>= 2.0.18~)
    ,golang-github-containers-common
    ,crun | runc (>= 1.0.0~rc92~)
Breaks: buildah (<< 1.10.1-6), slirp4netns (<< 0.4.1), fuse-overlayfs (<< 0.7.1)
Recommends: ${misc:Recommends}
    ,buildah (>= 1.28)
    ,dbus-user-session
    ,fuse-overlayfs (>= 1.0.0~)
    ,slirp4netns (>= 0.4.1~)
    ,catatonit | tini | dumb-init
    ,uidmap
Suggests: ${misc:Suggests}
    ,containers-storage
    ,docker-compose
    ,iptables
Description: engine to run OCI-based containers in Pods
 Podman is an engine for running OCI-based containers in Pods.
 Podman provides a CLI interface for managing Pods, Containers, and
 Container Images.
 .
 At a high level, the scope of libpod and podman is the following:
  * Support multiple image formats including the OCI and Docker image
    formats.
  * Support for multiple means to download images including trust & image
    verification.
  * Container image management (managing image layers, overlay filesystems,
    etc).
  * Full management of container lifecycle.
  * Support for pods to manage groups of containers together.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface through Podman.
 .
 Podman is a daemon-less alternative to Docker.

Package: podman-docker
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}, podman
Conflicts: docker.io
Recommends: docker-compose
Description: engine to run OCI-based containers in Pods - wrapper for docker
 Podman is an engine for running OCI-based containers in Pods.
 Podman provides a CLI interface for managing Pods, Containers, and
 Container Images.
 .
 At a high level, the scope of libpod and podman is the following:
  * Support multiple image formats including the OCI and Docker image
    formats.
  * Support for multiple means to download images including trust & image
    verification.
  * Container image management (managing image layers, overlay filesystems,
    etc).
  * Full management of container lifecycle.
  * Support for pods to manage groups of containers together.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface through Podman.
 .
 Podman is a daemon-less alternative to Docker.
 .
 This package installs a wrapper script that acts like the original docker
 implementation
